#
# spec file for package terraform
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           terraform-provider-susepubliccloud
Version:        0.0.1
Release:        3.8.1
License:        MPL-2.0
Summary:        Terraform provider for SUSE public cloud resources
Url:            https://github.com/SUSE/terraform-provider-susepubliccloud
Group:          System/Management
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  golang-packaging
BuildRequires:  golang(API) >= 1.12
BuildRequires:  xz
Requires:       terraform >= 0.11.0
%{go_nostrip}
%{go_provides}

%description
The purpose of this project is to define a set of data sources that make it
easier to find the resources managed by SUSE on the different public clouds.

The provider gathers data by accessing the public instance of
"public-cloud-info-service" managed by SUSE.

%prep
%setup -q -n %{name}-%{version}

%build
%goprep github.com/terraform-providers/terraform-provider-susepubliccloud
make

%install
install -D -m 0755 %{name} %{buildroot}/%{_bindir}/%{name}

%files
%defattr(-,root,root,-)
%doc README.md
%{_bindir}/%{name}

%changelog
* Fri Mar  6 2020 jmassaguerpla@suse.com
- Disable _service and add tarball as source as required by maint-coord
* Tue Feb  4 2020 dcassany@suse.com
- terraform-provider-susepubliccloud release is part of bsc#1162585 and jsc#ECO-134
* Fri Aug  2 2019 fcastelli@suse.com
- Initial release 0.0.1
